Pull request:    

Description

When interacting with the rest api, some resources return the host id. Sometimes, it is useful to retrieve the host information from that

particular id.

Here is the patch (provided by Ohad at the #theforeman irc channel)

https://github.com/gustavosoares/foreman/commit/5bafd62b2467aaf5389538fcda937639bdde5750

Associated revisions

Revision d1d29d08 - 10/05/2011 04:37 AM - Ohad Levy

fixes #1211 allow both id and name as an id

Revision 297fca24 - 10/05/2011 08:47 AM - Ohad Levy

refs #1211 - ENC url is name, not id.

Revision 137f08b9 - 10/09/2011 04:39 PM - Ohad Levy

fixed broken test - refs #1211

History

#1 - 10/05/2011 04:37 AM - Ohad Levy

- Category set to API

- Assignee set to Ohad Levy

- Target version set to 0.4

#2 - 10/05/2011 04:37 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset d1d29d085b1ab671d0358005b27724a3094bc907.

#3 - 10/17/2011 12:10 PM - Gustavo Soares

Ohad,

After running some more tests I noticed that the external nodes script was (always) receiving NOT FOUND.

Error retrieving node abc.globoi.com: Net::HTTPNotFound

Should the filter find_by_name be applied to the action externalNodes in app/controller/hosts_controller.rb?

#4 - 10/17/2011 04:03 PM - Ohad Levy

Gustavo Soares wrote:
https://github.com/gustavosoares/foreman/commit/5bafd62b2467aaf5389538fcda937639bdde5750
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/d1d29d085b1ab671d0358005b27724a3094bc907


Ohad,

After running some more tests I noticed that the external nodes script was (always) receiving NOT FOUND.

Error retrieving node abc.globoi.com: Net::HTTPNotFound

Should the filter find_by_name be applied to the action externalNodes in app/controller/hosts_controller.rb?

 yes, I've noticed it already, and afair it has been fixed already.

there was a ui related issue too (when clicking on the yaml link) and that should be already solved in the newui branch.
